<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\SlowQueriesTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\SlowQueriesTable Test Case
 */
class SlowQueriesTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\SlowQueriesTable
     */
    protected $SlowQueries;

    /**
     * Fixtures
     *
     * @var array
     */
    protected $fixtures = [
        'app.SlowQueries',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('SlowQueries') ? [] : ['className' => SlowQueriesTable::class];
        $this->SlowQueries = $this->getTableLocator()->get('SlowQueries', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown(): void
    {
        unset($this->SlowQueries);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
